#ifndef _Handle_PGeom_CartesianPoint_HeaderFile
#define _Handle_PGeom_CartesianPoint_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Point_HeaderFile
#include <Handle_PGeom_Point.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Point);
class PGeom_CartesianPoint;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_CartesianPoint);

class Handle(PGeom_CartesianPoint) : public Handle(PGeom_Point) {
  public:

    Handle(PGeom_CartesianPoint)():Handle(PGeom_Point)() {} 
    Handle(PGeom_CartesianPoint)(const Handle(PGeom_CartesianPoint)& aHandle) : Handle(PGeom_Point)(aHandle) 
     {
     }

    Handle(PGeom_CartesianPoint)(const PGeom_CartesianPoint* anItem) : Handle(PGeom_Point)((PGeom_Point *)anItem) 
     {
     }

    Handle(PGeom_CartesianPoint)& operator=(const Handle(PGeom_CartesianPoint)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_CartesianPoint)& operator=(const PGeom_CartesianPoint* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_CartesianPoint* operator->() const 
     {
      return (PGeom_CartesianPoint *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_CartesianPoint) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
